org.apache.ignite.internal.mem.unsafe

## Class UnsafeMemoryAllocator

- java.lang.Object
- - org.apache.ignite.internal.mem.unsafe.UnsafeMemoryAllocator

All Implemented Interfaces:
  MemoryAllocator

    public class UnsafeMemoryAllocator
    extends Object
    implements MemoryAllocator

### Constructor Summary

Constructors
Constructor and Description
`UnsafeMemoryAllocator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `allocateMemory(long size)`
`void` `freeMemory(long addr)` Deallocates memory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnsafeMemoryAllocator

    public UnsafeMemoryAllocator()

### Method Detail

#### allocateMemory

    public long allocateMemory(long size)

Specified by:
  `allocateMemory` in interface `MemoryAllocator`
Parameters:
  `size` - Size of allocated memory.
Returns:
  Pointer to memory or `0` if failed.

#### freeMemory

    public void freeMemory(long addr)

Deallocates memory.

Specified by:
  `freeMemory` in interface `MemoryAllocator`
Parameters:
  `addr` - Address of memory.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022